Name:      spor
Group:     Applications/System 
Summary:   Store file modes (permission/ownership) recursively 
Version:   1.0
Release:   13%{?dist}
License:   GPLv3+
URL:       http://code.google.com/p/spor
Source0:   http://spor.googlecode.com/files/%{name}-%{version}.tar.bz2 

# Build changes
# http://code.google.com/p/spor/issues/detail?id=1
Patch0:    spor.1.patch
# Remove invalid -Wl from linker call
Patch1:    spor-1.0-Makefile.patch

%description
Spor recursively walks into a given directory, storing file mode & ownership 
information in a flat-file database for future retrievals. It was firstly 
intended to use with backup & version control scripts, and it provides a 
simple and safe method to save and restore particular meta-data information 
of a given directory.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .spor.1.man
%patch1 -p1

%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%{__install} -D -p -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}
%{__install} -D -p -m 0644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root,-)
%doc readme.txt LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 23 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.0-7
- Add spor-1.0-Makefile.patch (Fix mass rebuilt FTBS).
- Modernize spec.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Rafael Azenha Aquini <aquini at linux dot com> - 1.0-3
- Fix rpmlint complaint on spor.spec file pointed by Markus Mayer's review
  BZ (650744#c7)

* Mon Dec 20 2010 Rafael Azenha Aquini <aquini at linux dot com> - 1.0-2
- Fix rpmlint complaint on spor manpage pointed by Markus Mayer's review
  BZ (650744#c3)

* Mon Nov 08 2010 Rafael Azenha Aquini <aquini at linux dot com> - 1.0-1
- initial packaging.

